<?php
//about theme info
add_action( 'admin_menu', 'vw_church_gettingstarted' );
function vw_church_gettingstarted() {
	add_theme_page( esc_html__('About VW Church', 'vw-church'), esc_html__('About VW Church', 'vw-church'), 'edit_theme_options', 'vw_church_guide', 'vw_church_mostrar_guide');
}

// Add a Custom CSS file to WP Admin Area
function vw_church_admin_theme_style() {
	wp_enqueue_style('vw-church-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getstart/getstart.css');
	wp_enqueue_script('vw-church-tabs', esc_url(get_template_directory_uri()) . '/inc/getstart/js/tab.js');
}
add_action('admin_enqueue_scripts', 'vw_church_admin_theme_style');

//guidline for about theme
function vw_church_mostrar_guide() { 
	//custom function about theme customizer
	$vw_church_return = add_query_arg( array()) ;
	$vw_church_theme = wp_get_theme( 'vw-church' );
?>

<div class="wrapper-info">
    <div class="col-left">
    	<h2><?php esc_html_e( 'Welcome to VW Church', 'vw-church' ); ?> <span class="version"><?php esc_html_e( 'Version', 'vw-church' ); ?>: <?php echo esc_html($vw_church_theme['Version']);?></span></h2>
    	<p><?php esc_html_e('All our WordPress themes are modern, minimalist, 100% responsive, seo-friendly,feature-rich, and multipurpose that best suit designers, bloggers and other professionals who are working in the creative fields.','vw-church'); ?></p>
    </div>
    
    <div class="tab-sec">
    	<div class="tab">
			<button class="tablinks" onclick="vw_church_open_tab(event, 'lite_theme')"><?php esc_html_e( 'Setup With Customizer', 'vw-church' ); ?></button>
			<button class="tablinks" onclick="vw_church_open_tab(event, 'gutenberg_editor')"><?php esc_html_e( 'Setup With Gutunberg Block', 'vw-church' ); ?></button>
		</div>

		<?php
			$vw_church_plugin_custom_css = '';
			if(class_exists('Ibtana_Visual_Editor_Menu_Class')){
				$vw_church_plugin_custom_css ='display: block';
			}
		?>
		<div id="lite_theme" class="tabcontent open">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
				$plugin_ins = VW_Church_Plugin_Activation_Settings::get_instance();
				$vw_church_actions = $plugin_ins->recommended_actions;
				?>
				<div class="vw-church-recommended-plugins">
				    <div class="vw-church-action-list">
				        <?php if ($vw_church_actions): foreach ($vw_church_actions as $key => $vw_church_actionValue): ?>
				                <div class="vw-church-action" id="<?php echo esc_attr($vw_church_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($vw_church_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($vw_church_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($vw_church_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" get-start-tab-id="lite-theme-tab" href="javascript:void(0);"><?php esc_html_e('Skip','vw-church'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php } ?>
			<div class="lite-theme-tab" style="<?php echo esc_attr($vw_church_plugin_custom_css); ?>">
				<h3><?php esc_html_e( 'Lite Theme Information', 'vw-church' ); ?></h3>
				<hr class="h3hr">
				<p><?php esc_html_e('VW Church is a theme for charity, church, churches, donation, events, fundraising, nonprofit, religion, religious, responsive, sermon, sermons, charitable, charity, Christian, church, church theme, donate, donation, fundraising, fundraising theme, NGO, nonprofit, nonprofit theme, religion, spiritual, and volunteer websites. It has viable to create any kind of internet site associated with the blog, portfolio or enterprise and above that, it is accompanied by the WooCommerce save comprising of a graph that is lovely to the core and at the equal time expert as well. VW Church is now not solely quick but responsive to the core, different from being RTL and translation geared up and rather appropriate for some of the greatest search engine optimization practices. The eCommerce aspects of this class theme are special, and there is no doubt about this fact. It is a lovely Retina-prepared theme with it is user-friendliness. The VW church is remarkable and responsive. Keeping in thinking the degree of points it possesses and its lengthy-time period functionality to be a large useful resource and at the equal time being stunning makes it rather appropriate for a blog, private portfolio, WooCommerce save or any variety of enterprise website.','vw-church'); ?></p>
			  	<div class="col-left-inner">
			  		<h4><?php esc_html_e( 'Theme Documentation', 'vw-church' ); ?></h4>
					<p><?php esc_html_e( 'If you need any assistance regarding setting up and configuring the Theme, our documentation is there.', 'vw-church' ); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_CHURCH_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'vw-church' ); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Theme Customizer', 'vw-church'); ?></h4>
					<p> <?php esc_html_e('To begin customizing your website, start by clicking "Customize".', 'vw-church'); ?></p>
					<div class="info-link">
						<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'vw-church'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Having Trouble, Need Support?', 'vw-church'); ?></h4>
					<p> <?php esc_html_e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'vw-church'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_CHURCH_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support Forum', 'vw-church'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Reviews & Testimonials', 'vw-church'); ?></h4>
					<p> <?php esc_html_e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'vw-church'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_CHURCH_REVIEW ); ?>" target="_blank"><?php esc_html_e('Reviews', 'vw-church'); ?></a>
					</div>

					<div class="link-customizer">
						<h3><?php esc_html_e( 'Link to customizer', 'vw-church' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','vw-church'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_church_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','vw-church'); ?></a>
								</div>
							</div>

							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-slides"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_church_slidersettings') ); ?>" target="_blank"><?php esc_html_e('Slider Settings','vw-church'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-category"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_church_events_section') ); ?>" target="_blank"><?php esc_html_e('Events Section','vw-church'); ?></a>
								</div>
							</div>
						
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','vw-church'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','vw-church'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_church_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','vw-church'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_church_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','vw-church'); ?></a>
								</div>
							</div>
						</div>
					</div>
			  	</div>
				<div class="col-right-inner">
					<h3 class="page-template"><?php esc_html_e('How to set up Home Page Template','vw-church'); ?></h3>
				  	<hr class="h3hr">
					<p><?php esc_html_e('Follow these instructions to setup Home page.','vw-church'); ?></p>
                  	<p><span class="strong"><?php esc_html_e('1. Create a new page :','vw-church'); ?></span><?php esc_html_e(' Go to ','vw-church'); ?>
					  	<b><?php esc_html_e(' Dashboard >> Pages >> Add New Page','vw-church'); ?></b></p>
                  	<p><?php esc_html_e('Name it as "Home" then select the template "Custom Home Page".','vw-church'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/home-page-template.png" alt="" />
                  	<p><span class="strong"><?php esc_html_e('2. Set the front page:','vw-church'); ?></span><?php esc_html_e(' Go to ','vw-church'); ?>
					  	<b><?php esc_html_e(' Settings >> Reading ','vw-church'); ?></b></p>
				  	<p><?php esc_html_e('Select the option of Static Page, now select the page you created to be the homepage, while another page to be your default page.','vw-church'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/set-front-page.png" alt="" />
                  	<p><?php esc_html_e(' Once you are done with setup, then follow the','vw-church'); ?> <a class="doc-links" href="<?php echo esc_url( VW_CHURCH_FREE_THEME_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation','vw-church'); ?></a></p>
			  	</div>
			</div>
		</div>
		
		<div id="gutenberg_editor" class="tabcontent">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
			$plugin_ins = VW_Church_Plugin_Activation_Settings::get_instance();
			$vw_church_actions = $plugin_ins->recommended_actions;
			?>
				<div class="vw-church-recommended-plugins">
				    <div class="vw-church-action-list">
				        <?php if ($vw_church_actions): foreach ($vw_church_actions as $key => $vw_church_actionValue): ?>
				                <div class="vw-church-action" id="<?php echo esc_attr($vw_church_actionValue['id']);?>">
			                        <div class="action-inner plugin-activation-redirect">
			                            <h3 class="action-title"><?php echo esc_html($vw_church_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($vw_church_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($vw_church_actionValue['link']); ?>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php }else{ ?>
				<h3><?php esc_html_e( 'Gutunberg Blocks', 'vw-church' ); ?></h3>
				<hr class="h3hr">
				<div class="vw-church-pattern-page">
			    	<a href="<?php echo esc_url( admin_url( 'admin.php?page=ibtana-visual-editor-templates' ) ); ?>" class="vw-pattern-page-btn ibtana-dashboard-page-btn button-primary button"><?php esc_html_e('Ibtana Settings','vw-church'); ?></a>
			    </div>

			    <div class="link-customizer-with-guternberg-ibtana">
	              	<div class="link-customizer-with-block-pattern">
						<h3><?php esc_html_e( 'Link to customizer', 'vw-church' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','vw-church'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_church_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','vw-church'); ?></a>
								</div>
							</div>
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','vw-church'); ?></a>
								</div>
								
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_church_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','vw-church'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_church_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','vw-church'); ?></a>
								</div>
								 <div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','vw-church'); ?></a>
								</div> 
							</div>
						</div>
					</div>	
				</div>
			<?php } ?>
		</div>

	</div>
</div>

<?php } ?>